# WARNING:
# this package is only used by LibreOffice.
# Do not blindly update it

%define  lib_name_orig libalsa
%global  apiversion 0.5
%define  major 5
%define  lib_name %mklibname cmis %apiversion %major
%define  develname %mklibname -d cmis

Name: libcmis
Version: 0.5.1
Release: %mkrel 2
Summary: A C++ client library for CM interfaces
Group: System/Libraries
License: GPLv2+ or LGPLv2+ or MPLv1.1
URL: https://github.com/tdf/libcmis
Source: https://github.com/tdf/libcmis/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: boost-devel
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: xmlto

Patch0: 0001-Add-new-Google-Drive-OAuth-2.0-login-procedure.patch
Patch1: 0002-Add-new-mokup-login-pages.patch
Patch2: 0003-Fix-test-in-test-factory.patch
Patch3: 0004-Fix-test-in-test-gdrive.patch
Patch4: 0005-Fix-test-in-test-onedrive.patch
Patch5: 0001-update-boost.m4-to-fix-version-detection-with-gcc-6..patch

%description
LibCMIS is a C++ client library for working with CM (content management)
interfaces. The primary supported interface (which gave the library its
name) is CMIS, which allows applications to connect to any ECM behaving
as a CMIS server (Alfresco or Nuxeo are examples of open source ones).
Another supported interface is Google Drive.

%package -n %lib_name
Summary: A C++ client library for CM interfaces
Group:   System/Libraries
Obsoletes: %{_lib}cmis2 < %{version}-%{release}
Obsoletes: %{_lib}cmis0.3_3 < 0.3.1-10

%description -n %lib_name
LibCMIS is a C++ client library for working with CM (content management)
interfaces. The primary supported interface (which gave the library its
name) is CMIS, which allows applications to connect to any ECM behaving
as a CMIS server (Alfresco or Nuxeo are examples of open source ones).
Another supported interface is Google Drive.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/Other
Requires: %lib_name = %version-%release
Obsoletes: %{name}-devel < %version-%release
Provides: %{name}-devel = %version-%release
Obsoletes: %{_lib}cmis0.3-devel < 0.3.1-10

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Command line tool to access CMIS
Group:    Publishing
Obsoletes: libcmis0.3-tools < 0.3.1-10

%description tools
The %{name}-tools package contains a tool for accessing CMIS from the
command line.

%prep
%autosetup -p1

%build
aclocal -I m4
autoconf
%configure2_5x --disable-silent-rules --disable-static --disable-werror \
    DOCBOOK2MAN='xmlto man'
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la

%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make %{?_smp_mflags} check

%files -n %lib_name
%doc AUTHORS NEWS
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}
%{_libdir}/%{name}-c-%{apiversion}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-%{apiversion}
%{_includedir}/%{name}-c-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/%{name}-c-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-c-%{apiversion}.pc

%files tools
%{_bindir}/cmis-client
%{_mandir}/man1/cmis-client*



%changelog
* Mon Sep 19 2016 tv <tv> 0.5.1-2.mga6
+ Revision: 1054422
- add fixes from FC
- use %%license

* Mon May 02 2016 tv <tv> 0.5.1-1.mga6
+ Revision: 1008689
- run testsuite
- no more need to run autoreconf
- project has moved to github
- project has moved to github
- fix build
- adjust file list

* Fri Dec 25 2015 tv <tv> 0.5.0-11.mga6
+ Revision: 914799
- fix build
- adjust file list
- sync with FC
- rebuild for new boost 1.60
- rebuild for new boost 1.60

* Sat Oct 10 2015 daviddavid <daviddavid> 0.5.0-8.mga6
+ Revision: 889139
- obsoletes more libcmis0.3

* Sun Sep 27 2015 tv <tv> 0.5.0-7.mga6
+ Revision: 884212
- obsoletes libcmis0.3 (was needed for LO-4.1/mga4)

* Fri Sep 25 2015 tv <tv> 0.5.0-6.mga6
+ Revision: 883523
- rebuild for new boost

* Wed Aug 26 2015 tv <tv> 0.5.0-5.mga6
+ Revision: 869749
- gcc5 fixes

  + neoclust <neoclust>
    - Rebuild against new gcc

* Fri Jul 31 2015 neoclust <neoclust> 0.5.0-3.mga6
+ Revision: 859855
- Rebuild for new boost

* Sun Feb 01 2015 tv <tv> 0.5.0-2.mga5
+ Revision: 812970
- submit to core/release

* Sat Jan 24 2015 tv <tv> 0.5.0-1.mga5
+ Revision: 812111
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-5.mga5
+ Revision: 740637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-4.mga5
+ Revision: 681383
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 0.4.1-3.mga5
+ Revision: 586649
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.4.1-2.mga4
+ Revision: 532467
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 0.4.1-1.mga4
+ Revision: 468465
- 0.4.1
- library major is now 4
- remove upstreamed patch

* Mon Jul 08 2013 fwang <fwang> 0.3.1-3.mga4
+ Revision: 451136
- rebuild for new boost

* Wed Apr 10 2013 malo <malo> 0.3.1-2.mga3
+ Revision: 409462
- rebuild for boost 1.53

* Wed Mar 13 2013 tv <tv> 0.3.1-1.mga3
+ Revision: 402544
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 356922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.3.0-2.mga3
+ Revision: 332932
- rebuild for new boost

* Mon Dec 17 2012 tv <tv> 0.3.0-1.mga3
+ Revision: 331909
- update file list
- patch 0: fix build
- new release

* Tue Jul 31 2012 fwang <fwang> 0.2.3-3.mga3
+ Revision: 276497
- rebuild for new boost

* Sun Jul 15 2012 fwang <fwang> 0.2.3-2.mga3
+ Revision: 270983
- update lib package policy

* Thu Jul 05 2012 dmorgan <dmorgan> 0.2.3-1.mga3
+ Revision: 267991
- New version

* Tue May 29 2012 ovitters <ovitters> 0.1.0-2.mga3
+ Revision: 249431
- rebuild due to new boost

  + dmorgan <dmorgan>
    - imported package libcmis

